Public: get blockchain and TSA proof for an evidence (Evidence)
curl --request GET \
--url https://api.timelockdata.com/api/v1/merkle/verify/{evidenceId}import requests
url = "https://api.timelockdata.com/api/v1/merkle/verify/{evidenceId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.timelockdata.com/api/v1/merkle/verify/{evidenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"evidenceId": "<string>",
"txId": "<string>",
"blockNumber": 123,
"createdAt": "<string>",
"fileCount": 123,
"merkle": {},
"tsa": {},
"error": "<string>"
}Verification
Verify Evidence
GET
/
merkle
/
verify
/
{evidenceId}
Public: get blockchain and TSA proof for an evidence (Evidence)
No authentication required. Public endpoint to verify an evidence record’s blockchain proof and TSA timestamp. Pass the external ID of the evidence to get its full verification data.
Path Parameters
External Evidence ID
Response
200 - application/json
Evidence proof information
Response status
Evidence ID (external Evidence ID)
Blockchain transaction ID of the evidence creation
Block number of the evidence creation
evidence creation timestamp (ISO 8601)
Number of files attached
Merkle proof info (if batched)
TSA proof info (if sealed)
Error message